Subject: bug#32599: 25.2; Feature request: input PUA characters by name

From: Janusz S. Bień <[email-masked]>
Date: Tue, 26 Apr 2022 18:09:53 +0200

On Tue, Apr 26 2022 at 17:49 +02, Robert Pluim wrote:

[...]

>     Janusz> This is however not the end of the story. I would like describe-char to
>     Janusz> produce the correct name of the PUA character instead of "the
>     Janusz> character’s canonical name and other properties defined by the Unicode
>     Janusz> Data Base;". I understand this should posted as a separate feature
>     Janusz> request.
>
> (put-char-code-property #xf159 'name "LATIN ABBREVIATION SIGN SMALL DE")

Great, thank you very much!

> (PUA characters donʼt have canonical names).

I know, I'm interested only in Medieval Unicode Font Initiative names.

But this is not the end of the story :-)

What is needed to treat the character as a letter? To be precise, I
would forward-word to go to the end of ahb, now it stops after a.

Best regards

Janusz

-- 
             ,   
Janusz S. Bien
emeryt (emeritus)
https://sites.google.com/view/jsbien